ubuntu/+source/vino:ubuntu/lucid-updates

Last commit made on 2013-01-22
Get this branch:
git clone -b ubuntu/lucid-updates https://git.launchpad.net/ubuntu/+source/vino
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/lucid-updates
Repository:
lp:ubuntu/+source/vino

Recent commits

134b482... by Marc Deslauriers on 2013-01-18

Import patches-unapplied version 2.28.2-0ubuntu2.2 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: ffc9d9aaab44e16e27b5aea10fae00cbc7ce5f7a

New changelog entries:
  * SECURITY UPDATE: clipboard leak to unauthenticated clients
    - debian/patches/05_CVE-2012-4429.patch: make sure client is
      authenticated in server/libvncserver/rfbserver.c.
    - CVE-2012-4429

ffc9d9a... by Marc Deslauriers on 2011-04-28

Import patches-unapplied version 2.28.2-0ubuntu2.1 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: c03c26c1f64b47392f6ba80d330ceafacf7d4812

New changelog entries:
  * SECURITY UPDATE: denial of service or possible code execution via
    crafted framebuffer update request
    - debian/patches/04_CVE-2011-090x.patch: validate update rectangle in
      server/libvncserver/rfbserver.c.
    - CVE-2011-0904
    - CVE-2011-0905

c03c26c... by Martin Pitt on 2010-04-06

Import patches-unapplied version 2.28.2-0ubuntu2 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: ba1fd4d1f2491a5eb94f1c5934c68d53eb13594d

New changelog entries:
  * Add 03_remove_tooltip_bg.patch: Remove "gtk-tooltip" style from
    preferences dialog, which causes unreadable text with some themes. This is
    a quick workaround until the widget is properly redesigned to be a
    GtkInfoBar. Thanks to Conn O Griofa for the patch! (LP: #533520)
  * debian/control.in: Add missing Vcs-Bzr:.

ba1fd4d... by Sebastien Bacher on 2010-03-30

Import patches-unapplied version 2.28.2-0ubuntu1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: a52dc5b35dfb12f7cdb06be6a364484429d873ae

New changelog entries:
  * New upstream version
  * debian/patches/90_git_change_fix_no_mdns_crasher.patch:
    - the change is in the new version

a52dc5b... by Didier Roche on 2009-11-24

Import patches-unapplied version 2.28.1-2ubuntu1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 3b0360121b420259c120ed443f1996b560dcfaac

New changelog entries:
  * Merge from debian unstable. Remaining changes: (LP: #487771)
    - debian/patches/90_git_change_fix_no_mdns_crasher.patch:
      git change to fix a crash issue (lp: #440712)
    - use upstream location for autostart files and not a debian one, we would
      have to clean the conffile on upgrade otherwise
    - debian/watch: watch all series

3b03601... by Josselin Mouette <email address hidden> on 2009-11-20

Import patches-unapplied version 2.28.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f7e64f4df18a5f9bef9e12d0a706d9eac09455b2

New changelog entries:
  * Only require NM on Linux architectures.
  * Pass configure argument to store the server password in the keyring.

f7e64f4... by Emilio Pozuelo Monfort <email address hidden> on 2009-10-22

Import patches-unapplied version 2.28.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 25219674a5d1d2df0b96f3d47d32691a8e00fcef

New changelog entries:
  * New upstream release.

2521967... by Emilio Pozuelo Monfort <email address hidden> on 2009-09-21

Import patches-unapplied version 2.28.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b0b61bade2633642d97f842cc51922f0f93f6b99

New changelog entries:
  [ Josselin Mouette ]
  * Important update to build-dependencies, adds NM support.
  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - debian/control.in:
      + Bump libgtk2.0-dev build dependency to >= 2.16.0.
      + Build depend on libtelepathy-glib-dev for Telepathy Tubes support.
      + Remove libglade2-dev build dependency, vino uses GtkBuilder now.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/rules:
    - Remove unneeded clean rule, those files are cleaned by the upstream
      Makefiles now.

b0b61ba... by Josselin Mouette <email address hidden> on 2009-06-10

Import patches-unapplied version 2.26.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f716813688204d130698ce033990ca0677350f24

New changelog entries:
  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/patches/01_localonly_ipv4.patch: removed, fixed upstream.
  * Update build-dependencies.
  * Standards-Version is 3.8.1, no changes needed.
  * debian/copyright: rewritten
  * Update Vcs-Browser and Vcs-Svn to point to the unstable branch.
  * Install the autostart file in /usr/share/gnome/autostart.

f716813... by Josselin Mouette <email address hidden> on 2009-04-09

Import patches-unapplied version 2.24.1-3 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: 510e790ee9d6058e153eea68a7c48c448daffc36

New changelog entries:
  * 02_server_sm-disable.patch: new patch. Do not register the server to
    the session, otherwise it will be loaded even though it is not
    necessary. Closes: #518862.